org.apache.geode.cache.query

## Class QueryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.geode.GemFireCheckedException
      - - org.apache.geode.cache.query.QueryException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    CqException, CqExistsException, FunctionDomainException, IndexCreationException, IndexExistsException, IndexNameConflictException, NameResolutionException, ParameterCountInvalidException, QueryInvocationTargetException, TypeMismatchException

      public class QueryException
      extends GemFireCheckedException

  Thrown during by the query engine during parsing or execution. Instances of subclasses are thrown for more specific exceptions.
  Since:
    GemFire 4.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryException()` Required for serialization
    `QueryException(java.lang.String msg)` Constructor used by concrete subclasses
    `QueryException(java.lang.String msg, java.lang.Throwable cause)` Constructor used by concrete subclasses
    `QueryException(java.lang.Throwable cause)` Constructor used by concrete subclasses

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.GemFireCheckedException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryException

          public QueryException()

      Required for serialization

    - #### QueryException

          public QueryException(java.lang.String msg,
                                java.lang.Throwable cause)

      Constructor used by concrete subclasses
      Parameters:
        `msg` - the error message
        `cause` - a Throwable cause of this exception

    - #### QueryException

          public QueryException(java.lang.String msg)

      Constructor used by concrete subclasses
      Parameters:
        `msg` - the error message

    - #### QueryException

          public QueryException(java.lang.Throwable cause)

      Constructor used by concrete subclasses
      Parameters:
        `cause` - a Throwable cause of this exception